Summary: PGP Pine scripts
Name: pgppine5
Version: 1.0
Release: 1
Copyright: public domain
Group: Utilities/Text
Source0: pgppine5.tar.gz
Source1: pgppine5.readme
BuildRoot: /tmp/pgppine
BuildArchitectures: noarch
Requires: perl, pine >= 3.92, pgp >= 5.0

%description
This package contains serveral shell and perl scripts which enable
PINE mail users to easily encrypt, sign, and decrypt.

%changelog

* Sat Apr 18 1998 David Summers <david@summersoft.fay.ar.us>

First noarch package.

%prep
%setup -n pgppine

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp $RPM_SOURCE_DIR/pgppine5.readme README
cp pgp* $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo 'display-filters=_BEGINNING("-----BEGIN PGP")_ /usr/bin/pgpdecode' >> /usr/lib/pine.conf
echo 'sending-filters=/usr/bin/pgpsign, /usr/bin/pgpencrypt _RECIPIENTS_' >> /usr/lib/pine.conf

%preun
sed -e '/display-filters/d' -e '/sending-filters/d' /usr/lib/pine.conf > /usr/lib/pine.conf.$$
mv /usr/lib/pine.conf /usr/lib/pine.conf.old
mv /usr/lib/pine.conf.$$ /usr/lib/pine.conf

%files
%doc README
/usr/bin/*
